
@{
    ViewData["Title"] = "Kode Akun (COA)";
}

<section class="section">
    <div class="section-header">
        <h1>Kode Akun (COA)</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item active"><a asp-controller="Home" asp-action="Index">COA</a></div>
            <div class="breadcrumb-item">Kode Akun (COA)</div>
        </div>
    </div>

    <div class="section-body">
        <div class="card" style="margin-bottom:10px;">
            <div class="card-header form-row">
                <h4 class="col-md-6">Daftar Kode Akun (COA) - Golongan</h4>
                <div class="col-md-6 text-right">
                    <button type="button" class="btn btn-success btn-flat" onclick="TambahData(1);"><i class="fa fa-plus"></i> Tambah Data</button>
                </div>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table id="TabelCoa" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                        <thead>
                            <tr>
                                <th>Aksi</th>
                                <th>Jenis Akun</th>
                                <th>Jenis Transaksi</th>
                                <th>Kode</th>
                                <th>Nama</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>Aksi</th>
                                <th>Jenis Akun</th>
                                <th>Jenis Transaksi</th>
                                <th>Kode</th>
                                <th>Nama</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
        <div class="card" style="margin-bottom:10px;display:none;" id="DivTabelCoaLv2">
            <div class="card-header form-row">
                <h4 class="col-md-6">Daftar Kode Akun (COA) - Utama</h4>
                <div class="col-md-6 text-right">
                    <button type="button" class="btn btn-success btn-flat" id="BtnTambahCoaLv2"><i class="fa fa-plus"></i> Tambah Data</button>
                </div>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table id="TabelCoaLv2" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                        <thead>
                            <tr>
                                <th>Aksi</th>
                                <th>Jenis Akun</th>
                                <th>Jenis Transaksi</th>
                                <th>Kode</th>
                                <th>Nama</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>Aksi</th>
                                <th>Jenis Akun</th>
                                <th>Jenis Transaksi</th>
                                <th>Kode</th>
                                <th>Nama</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div
        </div>
        <div class="card" style="margin-bottom:10px;display:none;" id="DivTabelCoaLv3">
            <div class="card-header form-row">
                <h4 class="col-md-6">Daftar Kode Akun (COA) - Madya</h4>
                <div class="col-md-6 text-right">
                    <button type="button" class="btn btn-success btn-flat" id="BtnTambahCoaLv3"><i class="fa fa-plus"></i> Tambah Data</button>
                </div>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table id="TabelCoaLv3" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                        <thead>
                            <tr>
                                <th>Aksi</th>
                                <th>Jenis Akun</th>
                                <th>Jenis Transaksi</th>
                                <th>Kode</th>
                                <th>Nama</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>Aksi</th>
                                <th>Jenis Akun</th>
                                <th>Jenis Transaksi</th>
                                <th>Kode</th>
                                <th>Nama</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
        <div class="card" style="margin-bottom:10px;display:none;" id="DivTabelCoaLv4">
            <div class="card-header form-row">
                <h4 class="col-md-6">Daftar Kode Akun (COA) - Pratama</h4>
                <div class="col-md-6 text-right">
                    <button type="button" class="btn btn-success btn-flat" id="BtnTambahCoaLv4"><i class="fa fa-plus"></i> Tambah Data</button>
                </div>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table id="TabelCoaLv4" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                        <thead>
                            <tr>
                                <th>Aksi</th>
                                <th>Jenis Akun</th>
                                <th>Jenis Transaksi</th>
                                <th>Kode</th>
                                <th>Nama</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>Aksi</th>
                                <th>Jenis Akun</th>
                                <th>Jenis Transaksi</th>
                                <th>Kode</th>
                                <th>Nama</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
        <div class="card" style="margin-bottom:10px;display:none;" id="DivTabelCoaLv5">
            <div class="card-header form-row">
                <h4 class="col-md-6">Daftar Kode Akun (COA) - Buku Besar</h4>
                <div class="col-md-6 text-right">
                    <button type="button" class="btn btn-success btn-flat" id="BtnTambahCoaLv5"><i class="fa fa-plus"></i> Tambah Data</button>
                </div>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table id="TabelCoaLv5" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                        <thead>
                            <tr>
                                <th>Aksi</th>
                                <th>Jenis Akun</th>
                                <th>Jenis Transaksi</th>
                                <th>Kode</th>
                                <th>Nama</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>Aksi</th>
                                <th>Jenis Akun</th>
                                <th>Jenis Transaksi</th>
                                <th>Kode</th>
                                <th>Nama</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</section>

<div class="modal fade" id="ModalFormCoa" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="ModalHeaderFormCoa"></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

            <div class="modal-body">
                <form id="FormCoa" action="#" method="POST">
                    <div class="form-row mt-3">
                        <div class="col-md-12">
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Kode COA</label>
                                <input type="text" class="col-md-8 form-control" name="Kode" placeholder="Ketikkan Kode COA" />
                            </div>
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Kode Parent COA</label>
                                <input type="text" class="col-md-8 form-control" name="IdParentCoa" placeholder="Ketikkan Kode Parent COA" />
                            </div>
                            @*<div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Kode Parent COA</label>
                                <select name="IdParentCoa" class="form-control col-md-8"></select>
                            </div>*@
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Nama COA</label>
                                <input type="text" class="col-md-8 form-control" name="Nama" placeholder="Ketikkan Nama COA" />
                            </div>
                            <div class="form-group form-row" style="display:none">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Jenis Akun</label>
                                <select name="IdJenisAkun" class="form-control col-md-8"></select>
                            </div>
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Jenis Transaksi</label>
                                <select name="IdJenisTransaksi" class="form-control col-md-8"></select>
                            </div>
                        </div>
                        <div class="offset-md-2 col-md-8 text-center">
                            <button type="reset" class="btn btn-danger text-center"><i class="fa fa-times"></i> Batal</button>
                            <button type="button" class="btn btn-success text-center" id="BtnSaveCoa"><i class="fa fa-save"></i> Simpan</button>
                        </div>
                    </div>
                </form>
            </div>

        </div>
    </div>
</div>
